**********************************
****** S E T U P   C O D E  ******
**********************************

*  Program...........: MsgBxDOS Setup
*  Author............: Edward Leafe
*  Project...........: MetPath Link Version 3.0
*  Created...........: 12/16/93
*  Copyright.........: (c) MetPath, 1993
*) Description.......: Calls generic 'Yes/No' screen
*  Calling Samples...: =MsgBxDOS(" Some Title Stuff ","Yes","No")
*  Calling Samples...: =MsgBxDOS(" Some Title Stuff ")
*                      =MsgBxDOS(" Some Title Stuff ","Cool","Bogus")
*  Parameter List....: tcTitle    - The title to display on the screen
*                      tcYesPrmp  - Prompt for the 'Yes' button. DEFAULT:"OK"
*                      tcNoPrmp   - Prompt for the 'No' button. DEFAULT:"Cancel"
*                      tcIconChar - Character for the 'icon' in the alert 
*                                   screen, such as '?' or '!'. DEFAULT:'?'
*                      tnButtons  - Number of buttons to display. DEFAULT:2
*  Major change list.: 

PARAMETERS tcTitle,tcWarning,tcYesPrmp,tcNoPrmp,tcIconChar,tnButtons
PUSH KEY CLEAR
PRIVATE lnButtons
lnButtons = 2
DO CASE
   CASE EMPTY(tnButtons)                      && No parameter passed
      lnButtons = 2
   CASE TYPE("tnButtons")="N"
      lnButtons = IIF(tnButtons=0,2,tnButtons)
   CASE TYPE("tnButtons")="C"
      lnButtons = IIF(VAL(tnButtons)=0,2,VAL(tnButtons))
ENDCASE
IF EMPTY(tcIconChar)
   tcIconChar = "?"
ENDIF
tcIconChar = LEFT(tcIconChar,1)                   && Limited to 1 character
IF EMPTY(tcWarning)
   tcWarning = "Do you want to continue?"
ENDIF
IF EMPTY(tcNoPrmp)
   tcNoPrmp = "\?\<Cancel"
ELSE
   tcNoPrmp = ALLTRIM(LEFT(tcNoPrmp,10))
ENDIF
IF EMPTY(tcYesPrmp)
   tcYesPrmp = "\!\<OK"
ELSE
   tcYesPrmp = ALLTRIM(LEFT(tcYesPrmp,10))
ENDIF
IF EMPTY(tcTitle)
   tcTitle = " Message "
ENDIF
PRIVATE llReturn
llReturn = .T.

******************************************************************************
DO MsgBxDOS.SPR WITH tcTitle,tcWarning        && Call the MsgBxDOS screen
******************************************************************************

**********************************
*** C L E A N - U P   C O D E  ***
**********************************
POP KEY
RETURN llReturn


PROCEDURE DoActivate                             && Read Level Activate
   IF lnButtons = 2
      SHOW GET lhOK,1     PROMPT tcYesPrmp
      SHOW GET lhCancel,1 PROMPT tcNoPrmp
   ELSE
      SHOW GET lhOK1,1     PROMPT tcYesPrmp
   ENDIF
RETURN


PROCEDURE DoWhen
   *** This procedure runs the WHEN clause of a field.
   PARAMETERS tcWhichOne,tlFakeKey
   IF PARAMETERS() < 2
      tlFakeKey = .F.
   ENDIF
   IF PARAMETERS() < 1
      tcWhichOne = VARREAD()
   ENDIF
   tcWhichOne = UPPER(tcWhichOne)
   IF tlFakeKey
      =FakeKey()                                 && Highlight the current field
   ENDIF
   PRIVATE ALL LIKE j*
   jlRetVal = .T.
   DO CASE              
      CASE tcWhichOne = UPPER("")
   ENDCASE
RETURN jlRetVal


PROCEDURE DoValid
   *** This procedure run the VALID clause of a field.
   PARAMETERS tcWhichOne
   IF PARAMETERS() < 1
      tcWhichOne = VARREAD()
   ENDIF
   tcWhichOne = UPPER(tcWhichOne)
   PRIVATE ALL LIKE j*
   PRIVATE ALL LIKE s*
   jlRetVal = .T.
   DO CASE
      CASE tcWhichOne = UPPER("lhOK1")
         llReturn = .T.
      CASE tcWhichOne = UPPER("lhOK")
         llReturn = .T.
      CASE tcWhichOne = UPPER("lhCancel")
         llReturn = .F.
ENDCASE
RETURN jlRetVal
