*  Program...........: ReadCfg
*  Author............: Edward Leafe
*  Project...........: RunFox
*  Created...........: 5/11/94
*  Copyright.........: (c)1994 Edward Leafe
*) Description.......: This procedure reads the CONFIG.FP(W) file for
*                      variable declarations.
*  Calling Samples...: jcRfCmdDir = ReadCfg("_RfCmdDir")
*  Parameter List....: tcVar - The name of the variable in the CONFIG.FP(W) file
*                              It is not case-sensitive.
*  Returns...........: Character. Returns "" if the variable is not found.
*                      Given the line: MYVAR = HELLO in the CONFIG.FP(W) file,
*                      ReadCfg("MyVar") will return "HELLO".
*  Major change list.:
PARAMETERS tcVar
PRIVATE ALL LIKE j*
jcRetVal = ""                                    && Initialize the return value
IF !EMPTY(tcVar)
   tcVar = UPPER(tcVar)
   IF "FOXPRO 2.0" $ UPPER(VERSION(1)) OR ;
      "FOXPRO/LAN 2.0" $ UPPER(VERSION(1))
      * Don't have SYS(2019) available; try hacking it
      DIMENSION jaConfig[1,1]
      =ADIR(jaConfig,SYS(2004)+"CONFIG.FP?")
      IF !EMPTY(jaConfig[1,1])
         jcConfig = SYS(2004) + jaConfig[1,1]
      ELSE
         jcConfig = ""
      ENDIF
   ELSE
      jcConfig = SYS(2019)
   ENDIF
   IF !EMPTY(jcConfig)                           && We have a CONFIG.FP(W) file
      jnH = FOPEN(jcConfig)
      IF jnH > 0
         DO WHILE !FEOF(jnH)
            jcLine = FGETS(jnH)
            IF UPPER(jcLine) = tcVar
               * Found it!
               jnEqPos = AT("=",jcLine)
               * Filter out any quote characters
               jcRetVal = CHRTRAN(ALLTRIM(SUBSTR(jcLine,jnEqPos+1)),["'],[])
               EXIT
            ENDIF
         ENDDO
         =FCLOSE(jnH)
      ENDIF
   ENDIF
ENDIF
RETURN jcRetVal



