*  Program...........: RFError.PRG
*  Author............: Edward Leafe
*  Project...........: RunFox; runtime command line utility
*  Created...........: 08/14/93
*  Copyright.........: (c) 1993 by Edward Leafe
*) Description.......: Error handling routine for RunFox.EXE
*                      It calls the Windows MSGBOX routine contained
*                      in FoxTools.FLL. When running under DOS, it calls
*                      a generic message window.
*  Calling Samples...: ON ERROR DO RFError WITH ERROR(), MESSAGE()
*  Parameter List....: tnError -> the numeric error code
*                      tcMsg   -> the FoxPro error message
*  Major change list.: 01/04/94 - Ported to 2.5 Windows and DOS
*                      05/12/94 - Changed library calls to name substitution
*                         to eliminate error messages when building the app.

**********************************
****** S E T U P   C O D E  ******
**********************************
PARAMETERS tnError, tcMsg
PRIVATE ALL LIKE j*
PRIVATE ALL LIKE s*
PUSH KEY CLEAR

IF !EMPTY(tnError)
   tcMsg = ALLTRIM(tcMsg) + CHR(13) + "Error #" + ALLTRIM(STR(tnError))
ENDIF

DO CASE
   CASE "FOXPRO 2.0" $ UPPER(VERSION(1)) OR _DOS
      DO MsgBxDOS WITH " Error ",tcMsg,"\!\?\<OK","","!",1  && Call the error screen
   CASE _WINDOWS
      * Used name substitution so FoxPro DOS doesn't panic.
      jcLib = SYS(2004)+"FOXTOOLS.FLL"
      SET LIBRARY TO (jcLib) ADDITIVE
      jnDoIt = "=MSGBOX(tcMsg,'Error', 0+48)"
      &jnDoIt
      RELEASE LIBRARY (jcLib)
ENDCASE

**********************************
*** C L E A N - U P   C O D E  ***
**********************************

POP KEY
RETURN
